From a4468aec867a7a43af53508994c692a0a41f289f Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Apr 11 2017 12:51:54 +0000
Subject: [PATCH 6/9] Fix the height column issue in the config panel


---

diff --git a/hubs/static/client/app/components/TabSet.jsx b/hubs/static/client/app/components/TabSet.jsx
index df63568..c53bc31 100644
--- a/hubs/static/client/app/components/TabSet.jsx
+++ b/hubs/static/client/app/components/TabSet.jsx
@@ -39,14 +39,14 @@ export default class TabSet extends React.Component {
     }.bind(this));
 
     return (
-      <div>
+      <div {...this.props.tabWrapperProps}>
         <ul role="tablist"
-            className={"nav nav-tabs " + this.props.tabListClass || ""}
+            className={"nav nav-tabs " + this.props.tabListClass}
             >
           {tabLinks}
         </ul>
         <div
-          className={"tab-content " + this.props.tabContentClass || ""}
+          className={"tab-content " + this.props.tabContentClass}
           >
           {tabPanels}
         </div>
@@ -56,5 +56,16 @@ export default class TabSet extends React.Component {
 
 }
 
+TabSet.propTypes = {
+  tabWrapperProps: React.PropTypes.object,
+  tabListClass: React.PropTypes.string,
+  tabContentClass: React.PropTypes.string,
+};
+TabSet.defaultProps = {
+  tabWrapperProps: {},
+  tabListClass: '',
+  tabContentClass: '',
+};
+
 
 // vim: set ts=2 sw=2 et:
diff --git a/hubs/static/client/app/core/HubConfig.jsx b/hubs/static/client/app/core/HubConfig.jsx
index f4b75af..3732bd7 100644
--- a/hubs/static/client/app/core/HubConfig.jsx
+++ b/hubs/static/client/app/core/HubConfig.jsx
@@ -176,6 +176,10 @@ export default class HubConfig extends React.Component {
               <div className="modal-body">
                 <div className="row">
                   <TabSet
+                    tabWrapperProps={{
+                      className: "d-flex",
+                      style: {display: "flex"},
+                      }}
                     tabListClass="col-md-3"
                     tabContentClass="col-md-9"
                     >
